<? 
  include_once("functions.php");

  $selectedYear = $_POST["year"];
  if(!isset($selectedYear)) $selectedYear = date("Y");
  
  $lastChangedTime = date("r", DataAccess::getLastChangedTime());

  $maps = DataAccess::getMaps(strtotime("$selectedYear-01-01"), strtotime("$selectedYear-12-31"));

  print '<?xml version="1.0" encoding="UTF-8"?>' ."\n";
?>
<rss version="2.0">
   <channel>
      <title><?=_PAGE_TITLE?></title>
      <link><?=getWebsiteUrl()?></link>
      <description><?=_PAGE_DESCRIPTION?></description>
      <lastBuildDate><?=$lastChangedTime?></lastBuildDate>
      <image>
        <url>gfx/book.png</url>
        <title><?=_PAGE_TITLE?></title>
        <link><?=getWebsiteUrl()?></link>
      </image>
      <?
        foreach($maps as $map)
        {
          $title = htmlspecialchars(dateToLongString(strtotime($map->Date)) .": ". $map->Name);
          $url = ($map->MapImage ? getWebsiteUrl() .'/show_map.php?id='. $map->ID : "");
          
          $atoms = array();
          if(SHOW_MAP_NAME & $map->MapName != "") $atoms[] = $map->MapName;
          if(SHOW_ORGANISER && $map->Organiser != "") $atoms[] = $map->Organiser;
          if(SHOW_COUNTRY && $map->Country != "") $atoms[] = $map->Country;

          $atoms2 = array();
          if(SHOW_DISCIPLINE & $map->Discipline != "") $atoms2[] = $map->Discipline;
          if(SHOW_RELAY_LEG & $map->RelayLeg != "") $atoms2[] = _RELAY_LEG_LC .' '. $map->RelayLeg;
          
          $description = htmlspecialchars(join(", ", $atoms) ."<br/>". join(", ", $atoms2));
          $pubDate = date("r", strtotime($map->LastChangedTime));
      ?>
      <item>
         <title><?=$title?></title>
         <link><?=$url?></link>
         <description><?=$description?></description>
         <pubDate><?=$pubDate?></pubDate>
      </item>
      <?        
        }
      ?>
   </channel>
</rss>