<?
  include_once("functions.php");
  
  if(!isLoggedIn())
  {
    header("Location: login.php");
    die();
  }
  
  foreach($_GET as $variable => $value) $$variable = stripslashes($value);
  foreach($_POST as $variable => $value) $$variable = stripslashes($value);

  if(isset($cancel))
  {
    header("Location: index.php");
    die();
  }

  
  if(isset($save))
  {
    $map = new Map();
    if($id) $map->Load($id);  
    
    $map->Date = $date;
    $map->Name = $name; 
    $map->Organiser = $organiser;     
    $map->Country = $country;     
    $map->Discipline = $discipline;     
    $map->RelayLeg = $relayLeg;     
    $map->MapName = $mapName;
    $map->ResultListUrl = $resultListUrl;
    $map->Comment = $comment;   
    if(!$id) $map->LastChangedTime = date("Y-m-d H:i:s"); 
    $map->Save();
    DataAccess::saveMapAndThumbnailImage($map);
    
    if(!$id) @file(DOMA_SERVER ."?id=". $map->ID);

    header("Location: index.php");
  }
  elseif(isset($delete))
  {
    $map = new Map();
    $map->Load($id);
    
    $map->Date = $date;
    $map->Name = $name; 
    $map->Organiser = $organiser;     
    $map->Country = $country;     
    $map->Discipline = $discipline;     
    $map->RelayLeg = $relayLeg;     
    $map->MapName = $mapName;
    $map->ResultListUrl = $resultListUrl;
    $map->Comment = $comment;         
  }
  elseif(isset($deleteConfirmed))
  {
    $map = new Map();
    $map->Load($id);
    DataAccess::deleteMap($map);
    header("Location: index.php");
  }
  else
  {
    if(isset($_GET["id"]))
    {
      $id = $_GET["id"];
      $map = new Map();
      $map->Load($id);
    }
    else
    {
      $map = new Map();
      $map->Date = date("Y-m-d");
    }
  }

  $title = ($id ? "Edit map" : "Add map");
?>
<?php print '<?xml version="1.0" encoding="UTF-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?=$title?></title>
<link rel="icon" type="image/png" href="gfx/favicon.png" />
</head>

<body id="indexBody">
<div id="indexWrapper">
<form id="admin" method="post" action="<?=$_SERVER["PHP_SELF"]?>" enctype="multipart/form-data">

<h1><?=$title?></h1>

<div>
<input type="hidden" name="id" value="<?=htmlspecialchars($map->ID)?>" />
<label for="date">Date</label>
<input type="text" name="date" id="date" value="<?=htmlspecialchars($map->Date)?>" /> <em>yyyy-mm-dd, and optionally hh:mm:ss</em>
</div>
<div class="clear"></div>

<div>
<label for="name">Name</label>
<input type="text" name="name" id="name" value="<?=htmlspecialchars($map->Name)?>" />
</div>
<div class="clear"></div>

<? if(SHOW_MAP_NAME) { ?>
<div>
<label for="relayLeg">Map/area name</label>
<input type="text" name="mapName" id="mapName" value="<?=htmlspecialchars($map->MapName)?>" />
</div>
<div class="clear"></div>
<? } ?>

<? if(SHOW_ORGANISER) { ?>
<div>
<label for="organiser">Organiser</label>
<input type="text" name="organiser" id="organiser" value="<?=htmlspecialchars($map->Organiser)?>" />
</div>
<div class="clear"></div>
<? } ?>

<? if(SHOW_COUNTRY) { ?>
<div>
<label for="country">Country</label>
<input type="text" name="country" id="country" value="<?=htmlspecialchars($map->Country)?>" />
</div>
<div class="clear"></div>
<? } ?>

<? if(SHOW_DISCIPLINE) { ?>
<div>
<label for="discipline">Discipline</label>
<input type="text" name="discipline" id="discipline" value="<?=htmlspecialchars($map->Discipline)?>" />
</div>
<div class="clear"></div>
<? } ?>

<? if(SHOW_RELAY_LEG) { ?>
<div>
<label for="relayLeg">Relay leg</label>
<input type="text" name="relayLeg" id="relayLeg" value="<?=htmlspecialchars($map->RelayLeg)?>" />
</div>
<div class="clear"></div>
<? } ?>

<? if(SHOW_RESULT_LIST_URL) { ?>
<div>
<label for="relayLeg">Link to result list</label>
<input type="text" name="resultListUrl" id="resultListUrl" value="<?=htmlspecialchars($map->ResultListUrl)?>" />
</div>
<div class="clear"></div>
<? } ?>

<? if(SHOW_COMMENT) { ?>
<div>
<label for="comment">Comment</label>
<textarea name="comment" id="comment" rows="5" cols="60"><?=htmlspecialchars($map->Comment)?></textarea>
</div>
<div class="clear"></div>
<? } ?>

<div>
<label for="mapImage">Map image file</label>
<input type="file" name="mapImage" id="mapImage" /> <? if($id) print '<em>Leave empty to keep existing map</em>'; ?>
</div>
<div class="clear"></div>

<div>
<label for="mapImage">Thumbnail image file</label>
<input type="file" name="thumbnailImage" id="thumbnailImage" /> <em>Size <?=THUMBNAIL_WIDTH?> x <?=THUMBNAIL_HEIGHT?> pixels, leave empty for automatic generation. Large map images may not be thumbnailed due to server memory restrictions.</em>
</div>
<div class="clear"></div>

<div>
<input type="submit" name="save" id="save" value="Save" />
<? if(!isset($delete)) { ?>
<input type="submit" name="delete" id="delete" value="Delete" />
<? } else { ?>
<input type="submit" name="deleteConfirmed" id="delete" value="Confirm deletion" />
<? } ?>
<input type="submit" name="cancel" id="cancel" value="Cancel" />
</div>

<div class="clear"></div>

</form>
</div>
</body>
</html>